Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.client.connector.http
Class HttpProtocolState

    java.lang.Object
      org.apache.cactus.internal.client.connector.http.HttpProtocolState

All Implemented Interfaces:
  ProtocolState

public class HttpProtocolState
extends java.lang.Object
implements ProtocolState

HTTP-specific state information to be passed to the different `ProtocolHandler` lifecycle methods. More specifically, we need to pass around the HTTP connection object as it is created in the lifecycle method that runs the test and the it is required in the lifecycle methods that create the response factory instance and that clean up the test (the HTTP connection is closed if need be).

Version:
  $Id: HttpProtocolState.java 238991 2004-05-22 11:34:50Z vmassol $

Constructor Summary
`HttpProtocolState()`

Method Summary
`java.net.HttpURLConnection` | `getConnection()`
`void` | `setConnection(java.net.HttpURLConnection theConnection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpProtocolState

    public HttpProtocolState()

Method Detail

### setConnection

    public void setConnection(java.net.HttpURLConnection theConnection)

  Parameters:
    `theConnection` - the HTTP connection that was used to connect to the server side to execute the test.

### getConnection

    public java.net.HttpURLConnection getConnection()

  Returns:
    the HTTP connection that was used to connect to the server side to execute the test.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.